# ViewStatisticsBasic (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.utility

## Interface ViewStatisticsBasic

- All Superinterfaces:
    IView
  All Known Implementing Classes:
    ViewClassificationAttributes, ViewLocalRecoding, ViewProperties, ViewPropertiesInput, ViewPropertiesOutput

      public interface ViewStatisticsBasic
      extends IView

  This is a base interface for simple views in this category

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.widgets.Composite` | `getParent()` Returns the parent composite
    `LayoutUtility.ViewUtilityType` | `getType()` Returns the view type

    - ### Methods inherited from interface org.deidentifier.arx.gui.view.def.IView

      `dispose, reset, update`

- - ### Method Detail

    - #### getParent

          org.eclipse.swt.widgets.Composite getParent()

      Returns the parent composite
      Returns:

    - #### getType

          LayoutUtility.ViewUtilityType getType()

      Returns the view type
      Returns: